if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
( cd usr/lib ; rm -rf libnoteye.so )
( cd usr/lib ; ln -sf libnoteye.so.8.4 libnoteye.so )
( cd usr/lib ; rm -rf libnoteye.so.8 )
( cd usr/lib ; ln -sf libnoteye.so.8.4 libnoteye.so.8 )
( cd usr/share/pixmaps ; rm -rf hydraslayer.png )
( cd usr/share/pixmaps ; ln -sf ../icons/hicolor/48x48/apps/hydraslayer.png hydraslayer.png )
( cd usr/share/pixmaps ; rm -rf noteye.png )
( cd usr/share/pixmaps ; ln -sf ../icons/hicolor/48x48/apps/noteye.png noteye.png )
